View Issue Details

IDProjectCategoryView StatusLast Update
0007012LazarusIDEpublic2009-06-13 12:10
ReporterGraeme Geldenhuys Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntu Linux 
Product Version0.9.17 (SVN) 
Target Version0.9.28Fixed in Version0.9.26.2 
Summary0007012: Using TAB work-around makes tooltips display wrong tip on last 2 character of word.
DescriptionApplying the synedit patch and then doing what Flávio Etrusco suggested to get Lazarus to kinda use TABS in the editor (see Steps To Reproduce).
The wrong tooltip now gets displayed when you hover the mouse cursor over the last 2 characters of a method or variable. See attached screenshot. The pink arrow shows where I had the mouse cursor, yet the constants tooltip was displayed. This occurs on every method or variable to display tooltips.

Steps To ReproduceApply patch then
Then in Lazarus do the following:

* Environment -> Editor Options
* uncheck "Auto Indent"
* uncheck "Tab to Spaces"
* uncheck "Trim trailing spaces"
* uncheck "Smart Tabs"
* Tab-Width set to 4
TagsNo tags attached.
Fixed in Revision18028
LazTarget-
Widgetset
Attached Files

Relationships

has duplicate 0012599 closedMartin Friebe Tabs To Spaces tooltip problem 

Activities

2006-06-02 09:54

 

synedit.pp.patch (674 bytes)   
Index: components/synedit/synedit.pp
===================================================================
--- components/synedit/synedit.pp	(revision 9381)
+++ components/synedit/synedit.pp	(working copy)
@@ -9621,8 +9621,8 @@
   {$IFDEF SYN_LAZARUS}
   // i now contains the needed spaces
   Spaces := CreateTabsAndSpaces(CaretX,i,TabWidth,
-                                not (eoTabsToSpaces in Options))+'|';
-  Spaces := StringOfChar(' ', i);
+                                not (eoTabsToSpaces in Options)); //+'|';
+//  Spaces := StringOfChar(' ', i);
   //debugln('TCustomSynEdit.DoTabKey Spaces="',DbgStr(Spaces),'" TabChar=',DbgStr(TabChar));
 
   BeginUndoBlock;
synedit.pp.patch (674 bytes)   

2006-06-02 09:55

 

Screenshot.png (4,593 bytes)   
Screenshot.png (4,593 bytes)   

Graeme Geldenhuys

2006-06-02 09:56

reporter   ~0008019

I think this is related to TABS not working correctly in the editor. See issue 0007011 as well.

Martin Friebe

2009-01-02 00:57

manager   ~0024099

Please close if ok

Issue History

Date Modified Username Field Change
2006-06-02 09:54 Graeme Geldenhuys New Issue
2006-06-02 09:54 Graeme Geldenhuys File Added: synedit.pp.patch
2006-06-02 09:54 Graeme Geldenhuys Widgetset => GTK
2006-06-02 09:55 Graeme Geldenhuys File Added: Screenshot.png
2006-06-02 09:56 Graeme Geldenhuys Note Added: 0008019
2006-06-02 10:52 Vincent Snijders Target => post 1.0
2006-06-02 10:52 Vincent Snijders Status new => acknowledged
2008-11-04 17:50 Martin Friebe Status acknowledged => assigned
2008-11-04 17:50 Martin Friebe Assigned To => Martin Friebe
2008-11-09 15:57 Martin Friebe Relationship added has duplicate 0012599
2009-01-02 00:57 Martin Friebe Fixed in Revision => 18028
2009-01-02 00:57 Martin Friebe Widgetset GTK =>
2009-01-02 00:57 Martin Friebe Status assigned => resolved
2009-01-02 00:57 Martin Friebe Fixed in Version => 0.9.27 (SVN)
2009-01-02 00:57 Martin Friebe Resolution open => fixed
2009-01-02 00:57 Martin Friebe Note Added: 0024099
2009-01-02 00:58 Martin Friebe Target Version => 0.9.28
2009-03-20 11:05 Vincent Snijders LazTarget post 1.0 => -
2009-03-20 11:05 Vincent Snijders Fixed in Version 0.9.27 (SVN) => 0.9.26.2
2009-06-13 12:10 Marc Weustink Status resolved => closed